﻿using System;
using System.Text;
using System.Linq;
using System.Collections.Generic;

/// @author vesal
/// @version 21.10.2017
/// <summary>
/// Kokeillaan tietorakenteiden vertaamista
/// </summary>
public class Seq
{
    /// <summary>
    /// Tietorakenteiden vertaaminen
    /// </summary>
    public static void Main()
    {
        double[,] t1 = { { 1, 2, 3 }, { 4, 5, 6 } };
        double[,] t2 = { { 1, 2, 3 }, { 4, 5, 6 } };
        List<int> l1 = new List<int>(){1, 2, 3 };
        List<int> l2 = new List<int>() { 1, 2, 3 };
        int[] it1 = { 1, 2, 3 };
        int[] it2 = { 1, 2, 3 };

        Console.WriteLine(t1.Cast<double>().SequenceEqual(t2.Cast<double>())); // samat alkiot, mutta voi olla eri kokoisia...
        Console.WriteLine(l1.SequenceEqual(l2));
        Console.WriteLine(it1.SequenceEqual(l2));
        Console.WriteLine(String.Join(" ",t1)); // System.Double[,]

        string s = "kissa";

        foreach (char c in s) Console.WriteLine(c);
        Console.WriteLine(String.Join(" ",t1.Cast<double>()));

    }

}
